_anaglyph.vsh
{
	include generic_vertex.vsh
}

_anaglyph.fsh
{
	uniform sampler2DRect	u_ScreenBuffer;
	uniform	float		u_ScreenHalfWidth;
	uniform	vec4		u_leftMask;
	uniform	vec4		u_rightMask;
	out	vec4	fragData;
	void main(void)
	{
		vec4 cL  = texture(u_ScreenBuffer, gl_FragCoord.xy * vec2(0.5, 1.0)) * u_leftMask;
		vec4 cR  = texture(u_ScreenBuffer, gl_FragCoord.xy * vec2(0.5, 1.0) + vec2(u_ScreenHalfWidth, 0.0)) * u_rightMask;
		fragData = cL + cR;
	}
}
